Get movements history

This endpoint is used to bring history data of pay outs and pay ins.

GET

https://api.exchangecopter.com/consultaOpsdARS

const axios = require('axios');

async function fetchTransactionHistory() {
  try {
    // Define the query parameters
    const params = {
      idCvu: '123456789', // replace with your idCvu value
      documentId: 'ARUH87asdWRA', // replace with your documentId value
      from: '2023-01-01', // optional: start date (YYYY-MM-DD)
      to: '2023-01-31',   // optional: end date (YYYY-MM-DD)
      skip: 0,            // optional: number of records to skip
      top: 15             // optional: number of records to fetch
    };

    // Make the GET request to your API endpoint
    const response = await axios.get('https://api.exchangecopter.com/consultaOpsdARS', { params });
    
    // Log the transaction history data
    console.log('Transaction History:', response.data);
  } catch (error) {
    console.error('Error fetching transaction history:', error.response ? error.response.data : error.message);
  }
}

fetchTransactionHistory();

👍

200 Response

{
  "data": movementsHisotryArray,
	"headres": paginationParams,
	"message": "Movimientos obtenidos con exito"
}

❗️

500 Response

{
  "data": error,
	"message": "Error al traer los movimientos"
}